Skip to main content
POST /v1/payments/notifyRefund A notification endpoint implemented by the merchant. The wallet notifies the merchant of refund results after completing fund processing.

Request Parameters

refundId
string
Wallet-generated unique refund ID.Max length: 64 characters
refundRequestId
string
Merchant-generated unique refund ID.Max length: 64 characters
refundAmount
object
Refund amount with currency in smallest units. See Amount.
refundReason
string
Reason for the refund.Max length: 256 characters
refundTime
string
Timestamp when money is successfully deducted from the merchant, in ISO 8601 format.
refundStatus
string
Refund status. Values: SUCCESS, FAIL, PROCESSING
contributionAccount
string
Account type. Values: MPA, MRBA. Defaults to MPA.

Response Parameters

result
object
required
Standard result object with resultCode, resultStatus, resultMessage

Result Codes

resultStatusresultCodeDescription
SSUCCESSNotification acknowledged
UUNKNOWN_EXCEPTIONUnknown error occurred